# GET /billing/sources URL: https://developers.vsee.io/api/payment-api/get/billing/sources Auth: User Token — Requires a user access token from login or SSO. List payment sources Retrieve all payment sources from user account Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - type (query, string, optional) — Payment type (e.g. 'card') - room_code (query, string, required) — Room code to scope the payment source - provider_id (query, string, optional) — Provider ID (optional) to scope the payment source Responses: - 200 — Successful response ```json { "data": [ { "id": "card_19DrgXBY2jn2BCqQNpjjzuay", "type": "card", "brand": "Visa", "last4": "4242", "exp_month": 8, "exp_year": 2017, "is_default": true }, { "id": "card_19DrgXBY2jn2BCqQNpjjzub", "type": "card", "brand": "Visa", "last4": "4242", "exp_month": 8, "exp_year": 2017, "is_default": false } ] } ```